Subject: RE: [Speermint] [wg-business]WGLCfordraft-ietf-speermint-terminology-12

From: "Dan Warren" <[email-masked]>
Date: Wed, 3 Oct 2007 09:09:21 +0100

> [JRE] Just getting back to terminology-12, in fact the 
> definition of SSP makes no mention of UAC and UAS, but the 
> definition of Peer Network does. I think we have 3 issues 
> here that have been raised at certain times in this thread:
> 
> 1. We should not try to distinguish between UAC and UAS. If 
> we need to talk about UA, just use the term UA.

Agreed.

> 
> 2. What is the intended difference between a Peer Network and an SSP?
> Are they totally different or is one a subset of the other? 
> Or are they the same (in which case we should have only a 
> single term)? Possibly a diagram showing relationships 
> between Peer Networks, SSPs and SPs would help. If it is hard 
> to draw a diagram (e.g., things are not a simple hierarchy), 
> then it probably means we have got something wrong.

Let me expand the problem you identify a little.  In the terminology
draft there are identified;-

-Service Providers, SIP Service Providers (which includes or is
identical to ITSPs?), Peer Networks

-Layer 3 and Layer 5 interconnect, with subcategories of L5 i/c being
	-Direct and Indirect Interconnect
	-Assisted Interconnect (implicitly there must also be
Unassisted?)
	-Dynamic and Static Interconnect

Because of the subcategories of L5 i/c, there is a lot of different
permutations and combinations of different Provider types that could be
conceived, so it is going to prove very difficult to come up with one
picture.  In your architecture.  That is before you have considered
third party access providers and mobile roaming.

> 
> 3. Is the inclusion of UAs a NECESSARY aspect of a Peer 
> Network and/or an SSP FOR THE PURPOSES OF SPEERMINT? Whilst 
> in practice a Peer Network or an SSP is likely to have UAs, 
> is it of relevance to SPEERMINT discussions? Obviously for 
> SSP(O) and SSP(T) there has to be an associated UA (whether 
> this is part of the SSP or separate, I am not sure). But for 
> SSP(t) the existence of UAs seems irrelevant to SPEERMINT. So 
> for a general definition of SSP or Peer Network, from which 
> we can derive definitions of more specialised objects (such as
> SSP(O)) if we wish, I would still argue that the inclusion of 
> UAs is unnecessary.  

I'd argue that SSP(t) is not a Peer Network.  SSP(O) and SSP(T) are
Peering with each other, whilst SSP(t) is providing the mechanism by
which that Peering takes place.  Where it gets blurred is if SSP(t) is
doing more than just providing transit, but includes elements doing SIP
profile interworking, transcoding (and transcoder insertion), reframing
and so on.  That has a certain implication about the presence of a
B2BUA, which I think is probably the (dare we use the phrase) peering
point.  It's where the two protocol profiles of SSP(O) and SSP(T) clash,
but SSP(t) offers the interworking as part of a Federation agreement,
that the status of SSP(t) is called into question under current
definitions...

Dan

> John

Forthcoming GSMA Events:
 
GSMA Mobile Asia Congress
Macau
12 - 15 November 2007
www.mobileasiacongress.com
 
GSMA Mobile World Congress
Barcelona
11 - 14 February 2008
www.mobileworldcongress.com

This email and its attachments are intended for the above named only and may be confidential. If they have come to you in error you must take no action based on them, nor must you copy or show them to anyone; please reply to this email or call +44 207 759 2300 and highlight the error

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "Elwell, John" <[email-masked]>
Date: Wed, 03 Oct 2007 10:55:42 +0100

> -----Original Message-----
> From: Dan Warren [mailto:[email-masked]] 
> Sent: 03 October 2007 09:09
> To: Elwell, John; Uzelac, Adam; Daryl Malas
> Cc: Malas, Daryl; "Peterson, , dmm"@1-4-5.net; 
> [email-masked]; Livingood, Jason
> Subject: RE: [Speermint] 
> [wg-business]WGLCfordraft-ietf-speermint-terminology-12
> 
[JRE] But all I wanted is a diagram to show the relationship between the
3 objects we are trying to define: Peer Network, SSP and SP. I'm not
necessarily saying that such a diagram needs to go into the RFC, but it
might help the discussion.

> that the status of SSP(t) is called into question under current
[JRE] I think you are saying that a Peer Network is a special case of an
SSP. SSP(O) and SSP(T) are Peer Networks, but SSP(t) is not. So
therefore can we define Peer Network in terms of SSP?

> This email and its attachments are intended for the above 
> named only and may be confidential. If they have come to you 
> in error you must take no action based on them, nor must you 
> copy or show them to anyone; please reply to this email or 
> call +44 207 759 2300 and highlight the error
> 
> 
>